-- Copyright (C) 1991-2008 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 8.1 Build 163 10/28/2008 SJ Web Edition"

-- DATE "12/31/2011 17:39:36"

-- 
-- Device: Altera EP3C16F484C6 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneiii;
LIBRARY altera;
USE IEEE.std_logic_1164.all;
USE altera.altera_primitives_components.all;
USE cycloneiii.cycloneiii_components.all;

ENTITY 	Transmitter_datapath IS
    PORT (
	CLK : IN std_logic;
	CD : IN std_logic;
	CE : IN std_logic;
	LDD : IN std_logic;
	TX_IN : IN std_logic_vector(7 DOWNTO 0);
	S : IN std_logic_vector(1 DOWNTO 0);
	F : IN std_logic_vector(1 DOWNTO 0);
	TC8 : OUT std_logic;
	Serial_out : OUT std_logic
	);
END Transmitter_datapath;

ARCHITECTURE structure OF Transmitter_datapath IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_CLK : std_logic;
SIGNAL ww_CD : std_logic;
SIGNAL ww_CE : std_logic;
SIGNAL ww_LDD : std_logic;
SIGNAL ww_TX_IN : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_S : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_F : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_TC8 : std_logic;
SIGNAL ww_Serial_out : std_logic;
SIGNAL \CLK~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CD~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CLK~input_o\ : std_logic;
SIGNAL \CLK~inputclkctrl_outclk\ : std_logic;
SIGNAL \TC8~output_o\ : std_logic;
SIGNAL \Serial_out~output_o\ : std_logic;
SIGNAL \CE~input_o\ : std_logic;
SIGNAL \Chip3|present_state[0]~35_combout\ : std_logic;
SIGNAL \CD~input_o\ : std_logic;
SIGNAL \CD~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip3|present_state[1]~34_combout\ : std_logic;
SIGNAL \Chip3|present_state[2]~33_combout\ : std_logic;
SIGNAL \Chip3|TC8~combout\ : std_logic;
SIGNAL \F[1]~input_o\ : std_logic;
SIGNAL \S[0]~input_o\ : std_logic;
SIGNAL \S[1]~input_o\ : std_logic;
SIGNAL \Chip4|future_state[0]~574_combout\ : std_logic;
SIGNAL \Chip4|future_state[1]~572_combout\ : std_logic;
SIGNAL \Chip4|future_state[1]~573_combout\ : std_logic;
SIGNAL \TX_IN[0]~input_o\ : std_logic;
SIGNAL \LDD~input_o\ : std_logic;
SIGNAL \Chip4|present_state[2]~70_combout\ : std_logic;
SIGNAL \TX_IN[1]~input_o\ : std_logic;
SIGNAL \Chip1|present_state[1]~feeder_combout\ : std_logic;
SIGNAL \Chip4|present_state[3]~71_combout\ : std_logic;
SIGNAL \TX_IN[2]~input_o\ : std_logic;
SIGNAL \Chip4|present_state[4]~72_combout\ : std_logic;
SIGNAL \TX_IN[3]~input_o\ : std_logic;
SIGNAL \Chip1|present_state[3]~feeder_combout\ : std_logic;
SIGNAL \Chip4|present_state[5]~73_combout\ : std_logic;
SIGNAL \TX_IN[4]~input_o\ : std_logic;
SIGNAL \Chip4|present_state[6]~74_combout\ : std_logic;
SIGNAL \TX_IN[5]~input_o\ : std_logic;
SIGNAL \Chip1|present_state[5]~feeder_combout\ : std_logic;
SIGNAL \Chip4|present_state[7]~75_combout\ : std_logic;
SIGNAL \TX_IN[6]~input_o\ : std_logic;
SIGNAL \Chip1|present_state[6]~feeder_combout\ : std_logic;
SIGNAL \Chip4|present_state[8]~76_combout\ : std_logic;
SIGNAL \TX_IN[7]~input_o\ : std_logic;
SIGNAL \Chip1|present_state[7]~feeder_combout\ : std_logic;
SIGNAL \Chip4|future_state[9]~575_combout\ : std_logic;
SIGNAL \Chip4|future_state[9]~576_combout\ : std_logic;
SIGNAL \Chip4|present_state[2]~91_combout\ : std_logic;
SIGNAL \F[0]~input_o\ : std_logic;
SIGNAL \Chip5|y~180_combout\ : std_logic;
SIGNAL \Chip5|y~179_combout\ : std_logic;
SIGNAL \Chip5|y~181_combout\ : std_logic;
SIGNAL \Chip5|y~182_combout\ : std_logic;
SIGNAL \Chip4|present_state\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \Chip3|present_state\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \Chip1|present_state\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \Chip5|ALT_INV_y~182_combout\ : std_logic;
SIGNAL \ALT_INV_S[1]~input_o\ : std_logic;
SIGNAL \ALT_INV_CD~inputclkctrl_outclk\ : std_logic;

BEGIN

ww_CLK <= CLK;
ww_CD <= CD;
ww_CE <= CE;
ww_LDD <= LDD;
ww_TX_IN <= TX_IN;
ww_S <= S;
ww_F <= F;
TC8 <= ww_TC8;
Serial_out <= ww_Serial_out;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLK~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CLK~input_o\);

\CD~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CD~input_o\);
\Chip5|ALT_INV_y~182_combout\ <= NOT \Chip5|y~182_combout\;
\ALT_INV_S[1]~input_o\ <= NOT \S[1]~input_o\;
\ALT_INV_CD~inputclkctrl_outclk\ <= NOT \CD~inputclkctrl_outclk\;

\CLK~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK,
	o => \CLK~input_o\);

\CLK~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CLK~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLK~inputclkctrl_outclk\);

\TC8~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip3|TC8~combout\,
	devoe => ww_devoe,
	o => \TC8~output_o\);

\Serial_out~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_y~182_combout\,
	devoe => ww_devoe,
	o => \Serial_out~output_o\);

\CE~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CE,
	o => \CE~input_o\);

\Chip3|present_state[0]~35\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip3|present_state[0]~35_combout\ = \Chip3|present_state\(0) $ \CE~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip3|present_state\(0),
	datad => \CE~input_o\,
	combout => \Chip3|present_state[0]~35_combout\);

\CD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD,
	o => \CD~input_o\);

\CD~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CD~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CD~inputclkctrl_outclk\);

\Chip3|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip3|present_state[0]~35_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|present_state\(0));

\Chip3|present_state[1]~34\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip3|present_state[1]~34_combout\ = \Chip3|present_state\(1) $ (\CE~input_o\ & \Chip3|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \CE~input_o\,
	datac => \Chip3|present_state\(1),
	datad => \Chip3|present_state\(0),
	combout => \Chip3|present_state[1]~34_combout\);

\Chip3|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip3|present_state[1]~34_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|present_state\(1));

\Chip3|present_state[2]~33\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip3|present_state[2]~33_combout\ = \Chip3|present_state\(2) $ (\CE~input_o\ & \Chip3|present_state\(1) & \Chip3|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \CE~input_o\,
	datab => \Chip3|present_state\(1),
	datac => \Chip3|present_state\(2),
	datad => \Chip3|present_state\(0),
	combout => \Chip3|present_state[2]~33_combout\);

\Chip3|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip3|present_state[2]~33_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|present_state\(2));

\Chip3|TC8\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip3|TC8~combout\ = \Chip3|present_state\(0) & \Chip3|present_state\(2) & \CE~input_o\ & \Chip3|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|present_state\(0),
	datab => \Chip3|present_state\(2),
	datac => \CE~input_o\,
	datad => \Chip3|present_state\(1),
	combout => \Chip3|TC8~combout\);

\F[1]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_F(1),
	o => \F[1]~input_o\);

\S[0]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_S(0),
	o => \S[0]~input_o\);

\S[1]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_S(1),
	o => \S[1]~input_o\);

\Chip4|future_state[0]~574\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|future_state[0]~574_combout\ = !\S[1]~input_o\ & (\S[0]~input_o\ & (\Chip4|present_state\(1)) # !\S[0]~input_o\ & \Chip4|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[0]~input_o\,
	datab => \S[1]~input_o\,
	datac => \Chip4|present_state\(0),
	datad => \Chip4|present_state\(1),
	combout => \Chip4|future_state[0]~574_combout\);

\Chip4|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|future_state[0]~574_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(0));

\Chip4|future_state[1]~572\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|future_state[1]~572_combout\ = \S[1]~input_o\ & \Chip4|present_state\(0) # !\S[1]~input_o\ & (\Chip4|present_state\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \S[1]~input_o\,
	datac => \Chip4|present_state\(0),
	datad => \Chip4|present_state\(1),
	combout => \Chip4|future_state[1]~572_combout\);

\Chip4|future_state[1]~573\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|future_state[1]~573_combout\ = \S[0]~input_o\ & !\S[1]~input_o\ & \Chip4|present_state\(2) # !\S[0]~input_o\ & (\Chip4|future_state[1]~572_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[1]~input_o\,
	datab => \Chip4|present_state\(2),
	datac => \S[0]~input_o\,
	datad => \Chip4|future_state[1]~572_combout\,
	combout => \Chip4|future_state[1]~573_combout\);

\Chip4|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|future_state[1]~573_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(1));

\TX_IN[0]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(0),
	o => \TX_IN[0]~input_o\);

\LDD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_LDD,
	o => \LDD~input_o\);

\Chip1|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[0]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(0));

\Chip4|present_state[2]~70\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[2]~70_combout\ = \S[0]~input_o\ & (\Chip1|present_state\(0)) # !\S[0]~input_o\ & \Chip4|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[0]~input_o\,
	datab => \Chip4|present_state\(1),
	datad => \Chip1|present_state\(0),
	combout => \Chip4|present_state[2]~70_combout\);

\TX_IN[1]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(1),
	o => \TX_IN[1]~input_o\);

\Chip1|present_state[1]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[1]~feeder_combout\ = \TX_IN[1]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[1]~input_o\,
	combout => \Chip1|present_state[1]~feeder_combout\);

\Chip1|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[1]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(1));

\Chip4|present_state[3]~71\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[3]~71_combout\ = \S[0]~input_o\ & (\Chip1|present_state\(1)) # !\S[0]~input_o\ & \Chip4|present_state\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[0]~input_o\,
	datab => \Chip4|present_state\(2),
	datad => \Chip1|present_state\(1),
	combout => \Chip4|present_state[3]~71_combout\);

\TX_IN[2]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(2),
	o => \TX_IN[2]~input_o\);

\Chip1|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[2]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(2));

\Chip4|present_state[4]~72\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[4]~72_combout\ = \S[0]~input_o\ & (\Chip1|present_state\(2)) # !\S[0]~input_o\ & \Chip4|present_state\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip4|present_state\(3),
	datab => \S[0]~input_o\,
	datad => \Chip1|present_state\(2),
	combout => \Chip4|present_state[4]~72_combout\);

\TX_IN[3]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(3),
	o => \TX_IN[3]~input_o\);

\Chip1|present_state[3]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[3]~feeder_combout\ = \TX_IN[3]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[3]~input_o\,
	combout => \Chip1|present_state[3]~feeder_combout\);

\Chip1|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[3]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(3));

\Chip4|present_state[5]~73\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[5]~73_combout\ = \S[0]~input_o\ & (\Chip1|present_state\(3)) # !\S[0]~input_o\ & \Chip4|present_state\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[0]~input_o\,
	datab => \Chip4|present_state\(4),
	datad => \Chip1|present_state\(3),
	combout => \Chip4|present_state[5]~73_combout\);

\TX_IN[4]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(4),
	o => \TX_IN[4]~input_o\);

\Chip1|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \TX_IN[4]~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(4));

\Chip4|present_state[6]~74\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[6]~74_combout\ = \S[0]~input_o\ & (\Chip1|present_state\(4)) # !\S[0]~input_o\ & \Chip4|present_state\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[0]~input_o\,
	datab => \Chip4|present_state\(5),
	datad => \Chip1|present_state\(4),
	combout => \Chip4|present_state[6]~74_combout\);

\TX_IN[5]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(5),
	o => \TX_IN[5]~input_o\);

\Chip1|present_state[5]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[5]~feeder_combout\ = \TX_IN[5]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[5]~input_o\,
	combout => \Chip1|present_state[5]~feeder_combout\);

\Chip1|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[5]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(5));

\Chip4|present_state[7]~75\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[7]~75_combout\ = \S[0]~input_o\ & (\Chip1|present_state\(5)) # !\S[0]~input_o\ & \Chip4|present_state\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111001000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[0]~input_o\,
	datab => \Chip4|present_state\(6),
	datad => \Chip1|present_state\(5),
	combout => \Chip4|present_state[7]~75_combout\);

\TX_IN[6]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(6),
	o => \TX_IN[6]~input_o\);

\Chip1|present_state[6]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[6]~feeder_combout\ = \TX_IN[6]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[6]~input_o\,
	combout => \Chip1|present_state[6]~feeder_combout\);

\Chip1|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[6]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(6));

\Chip4|present_state[8]~76\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[8]~76_combout\ = \S[0]~input_o\ & (\Chip1|present_state\(6)) # !\S[0]~input_o\ & \Chip4|present_state\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip4|present_state\(7),
	datab => \S[0]~input_o\,
	datad => \Chip1|present_state\(6),
	combout => \Chip4|present_state[8]~76_combout\);

\TX_IN[7]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TX_IN(7),
	o => \TX_IN[7]~input_o\);

\Chip1|present_state[7]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[7]~feeder_combout\ = \TX_IN[7]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \TX_IN[7]~input_o\,
	combout => \Chip1|present_state[7]~feeder_combout\);

\Chip1|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[7]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(7));

\Chip4|future_state[9]~575\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|future_state[9]~575_combout\ = \S[1]~input_o\ & \Chip4|present_state\(8) # !\S[1]~input_o\ & (\Chip4|present_state\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \S[1]~input_o\,
	datac => \Chip4|present_state\(8),
	datad => \Chip4|present_state\(9),
	combout => \Chip4|future_state[9]~575_combout\);

\Chip4|future_state[9]~576\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|future_state[9]~576_combout\ = \S[0]~input_o\ & \S[1]~input_o\ & \Chip1|present_state\(7) # !\S[0]~input_o\ & (\Chip4|future_state[9]~575_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \S[0]~input_o\,
	datab => \S[1]~input_o\,
	datac => \Chip1|present_state\(7),
	datad => \Chip4|future_state[9]~575_combout\,
	combout => \Chip4|future_state[9]~576_combout\);

\Chip4|present_state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|future_state[9]~576_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(9));

\Chip4|present_state[2]~91\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[2]~91_combout\ = \S[1]~input_o\ # \S[0]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \S[1]~input_o\,
	datac => \S[0]~input_o\,
	combout => \Chip4|present_state[2]~91_combout\);

\Chip4|present_state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[8]~76_combout\,
	asdata => \Chip4|present_state\(9),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => \ALT_INV_S[1]~input_o\,
	ena => \Chip4|present_state[2]~91_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(8));

\Chip4|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[7]~75_combout\,
	asdata => \Chip4|present_state\(8),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => \ALT_INV_S[1]~input_o\,
	ena => \Chip4|present_state[2]~91_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(7));

\Chip4|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[6]~74_combout\,
	asdata => \Chip4|present_state\(7),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => \ALT_INV_S[1]~input_o\,
	ena => \Chip4|present_state[2]~91_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(6));

\Chip4|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[5]~73_combout\,
	asdata => \Chip4|present_state\(6),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => \ALT_INV_S[1]~input_o\,
	ena => \Chip4|present_state[2]~91_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(5));

\Chip4|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[4]~72_combout\,
	asdata => \Chip4|present_state\(5),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => \ALT_INV_S[1]~input_o\,
	ena => \Chip4|present_state[2]~91_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(4));

\Chip4|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[3]~71_combout\,
	asdata => \Chip4|present_state\(4),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => \ALT_INV_S[1]~input_o\,
	ena => \Chip4|present_state[2]~91_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(3));

\Chip4|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[2]~70_combout\,
	asdata => \Chip4|present_state\(3),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => \ALT_INV_S[1]~input_o\,
	ena => \Chip4|present_state[2]~91_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(2));

\F[0]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_F(0),
	o => \F[0]~input_o\);

\Chip5|y~180\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|y~180_combout\ = \Chip1|present_state\(6) $ \Chip1|present_state\(5) $ \Chip1|present_state\(4) $ \Chip1|present_state\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state\(6),
	datab => \Chip1|present_state\(5),
	datac => \Chip1|present_state\(4),
	datad => \Chip1|present_state\(7),
	combout => \Chip5|y~180_combout\);

\Chip5|y~179\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|y~179_combout\ = \Chip1|present_state\(0) $ \Chip1|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|present_state\(0),
	datad => \Chip1|present_state\(1),
	combout => \Chip5|y~179_combout\);

\Chip5|y~181\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|y~181_combout\ = \Chip1|present_state\(3) $ \Chip5|y~180_combout\ $ \Chip1|present_state\(2) $ \Chip5|y~179_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state\(3),
	datab => \Chip5|y~180_combout\,
	datac => \Chip1|present_state\(2),
	datad => \Chip5|y~179_combout\,
	combout => \Chip5|y~181_combout\);

\Chip5|y~182\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|y~182_combout\ = \F[1]~input_o\ & (\F[0]~input_o\ & (!\Chip5|y~181_combout\) # !\F[0]~input_o\ & !\Chip4|present_state\(2)) # !\F[1]~input_o\ & (\F[0]~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101001011110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \F[1]~input_o\,
	datab => \Chip4|present_state\(2),
	datac => \F[0]~input_o\,
	datad => \Chip5|y~181_combout\,
	combout => \Chip5|y~182_combout\);

ww_TC8 <= \TC8~output_o\;

ww_Serial_out <= \Serial_out~output_o\;
END structure;


